expected_output = {
    "mgmt0": {
        "port_channel": {"port_channel_member": False},
        "link_state": "up",
        "oper_status": "up",
        "enabled": True,
        "admin_state": "up",
        "types": "GigabitEthernet",
        "mac_address": "80e0.1dff.6bae",
        "phys_address": "80e0.1dff.6bae",
        "ipv4": {"10.154.64.17/23": {"ip": "10.154.64.17", "prefix_length": "23"}},
        "delay": 10,
        "mtu": 1500,
        "bandwidth": 1000000,
        "reliability": "255/255",
        "txload": "1/255",
        "rxload": "1/255",
        "encapsulations": {"encapsulation": "arpa"},
        "medium": "broadcast",
        "duplex_mode": "full",
        "port_speed": "1000",
        "port_speed_unit": "Mb/s",
        "auto_negotiate": True,
        "auto_mdix": "off",
        "ethertype": "0x0000",
        "counters": {
            "rate": {
                "load_interval": 1,
                "in_rate": 13408,
                "in_rate_pkts": 16,
                "out_rate": 51208,
                "out_rate_pkts": 17,
            },
            "rx": True,
            "in_pkts": 607382344,
            "in_unicast_pkts": 445986207,
            "in_multicast_pkts": 132485585,
            "in_octets": 141467913935,
            "in_broadcast_pkts": 10,
            "tx": True,
        },
    },
    "Ethernet1/1": {
        "port_channel": {
            "port_channel_member": True,
            "port_channel_int": "Port-channel302",
        },
        "link_state": "up",
        "oper_status": "up",
        "enabled": True,
        "admin_state": "up",
        "dedicated_interface": True,
        "types": "1000/10000 Ethernet",
        "mac_address": "80e0.1dff.6bb6",
        "phys_address": "80e0.1dff.6bb6",
        "description": "<< GENIE GIG 0/0/1 >>",
        "delay": 10,
        "mtu": 1500,
        "bandwidth": 1000000,
        "reliability": "255/255",
        "txload": "1/255",
        "rxload": "4/255",
        "encapsulations": {"encapsulation": "arpa"},
        "medium": "broadcast",
        "port_mode": "access",
        "media_type": "1G",
        "duplex_mode": "full",
        "port_speed": "1000",
        "port_speed_unit": "Mb/s",
        "beacon": "off",
        "auto_negotiate": True,
        "flow_control": {"receive": False, "send": False},
        "auto_mdix": "off",
        "switchport_monitor": "off",
        "ethertype": "0x8100",
        "efficient_ethernet": "n/a",
        "last_link_flapped": "3d22h",
        "last_clear_counters": "never",
        "interface_reset": 9,
        "counters": {
            "rate": {
                "load_interval": 30,
                "in_rate": 17542088,
                "in_rate_pkts": 1904,
                "out_rate": 1575520,
                "out_rate_pkts": 477,
            },
            "rx": True,
            "in_unicast_pkts": 525266408025,
            "in_multicast_pkts": 128283847,
            "in_broadcast_pkts": 14,
            "last_clear": "never",
            "in_pkts": 525394691886,
            "in_octets": 157262428316065,
            "in_storm_suppression_packets": 0,
            "in_jumbo_packets": 0,
            "in_runts": 0,
            "in_oversize_frame": 0,
            "in_crc_errors": 0,
            "in_no_buffer": 0,
            "in_errors": 0,
            "in_short_frame": 0,
            "in_overrun": 0,
            "in_underrun": 0,
            "in_ignored": 0,
            "in_watchdog": 0,
            "in_bad_etype_drop": 0,
            "in_unknown_protos": 0,
            "in_if_down_drop": 0,
            "in_with_dribble": 0,
            "in_discard": 0,
            "in_mac_pause_frames": 0,
            "tx": True,
            "out_unicast_pkts": 568365811507,
            "out_multicast_pkts": 103573671,
            "out_broadcast_pkts": 10009,
            "out_pkts": 568469395187,
            "out_octets": 604413238507323,
            "out_jumbo_packets": 0,
            "out_errors": 0,
            "out_collision": 0,
            "out_deferred": 0,
            "out_late_collision": 0,
            "out_lost_carrier": 0,
            "out_no_carrier": 0,
            "out_babble": 0,
            "out_discard": 1535,
            "out_mac_pause_frames": 0,
        },
    },
    "Ethernet1/15": {
        "port_channel": {"port_channel_member": False},
        "link_state": "down",
        "oper_status": "down",
        "enabled": False,
        "admin_state": "down",
        "dedicated_interface": True,
        "types": "1000/10000 Ethernet",
        "mac_address": "80e0.1dff.6cc3",
        "phys_address": "80e0.1dff.6cc3",
        "description": "<< LINK TO GENIE PACKET CAPTURE >>",
        "delay": 10,
        "mtu": 1500,
        "bandwidth": 10000000,
        "reliability": "255/255",
        "txload": "1/255",
        "rxload": "1/255",
        "encapsulations": {"encapsulation": "arpa"},
        "medium": "broadcast",
        "port_mode": "access",
        "media_type": "10G",
        "duplex_mode": "auto",
        "port_speed": "auto-speed",
        "beacon": "off",
        "auto_negotiate": True,
        "flow_control": {"receive": False, "send": False},
        "auto_mdix": "off",
        "switchport_monitor": "off",
        "ethertype": "0x8100",
        "efficient_ethernet": "n/a",
        "last_link_flapped": "82week(s) 6day(s)",
        "last_clear_counters": "never",
        "interface_reset": 16,
        "counters": {
            "rate": {
                "load_interval": 30,
                "in_rate": 0,
                "in_rate_pkts": 0,
                "out_rate": 0,
                "out_rate_pkts": 0,
                "in_rate_bps": 0,
                "in_rate_pps": 0,
                "out_rate_bps": 0,
                "out_rate_pps": 0,
            },
            "rx": True,
            "in_unicast_pkts": 30893435,
            "in_multicast_pkts": 33488177,
            "in_broadcast_pkts": 139092473555,
            "last_clear": "never",
            "in_pkts": 139156855167,
            "in_octets": 8908513989496,
            "in_storm_suppression_packets": 0,
            "in_jumbo_packets": 38749,
            "in_runts": 0,
            "in_oversize_frame": 0,
            "in_crc_errors": 0,
            "in_no_buffer": 0,
            "in_errors": 0,
            "in_short_frame": 0,
            "in_overrun": 0,
            "in_underrun": 0,
            "in_ignored": 0,
            "in_watchdog": 0,
            "in_bad_etype_drop": 0,
            "in_unknown_protos": 0,
            "in_if_down_drop": 0,
            "in_with_dribble": 0,
            "in_discard": 0,
            "in_mac_pause_frames": 0,
            "tx": True,
            "out_unicast_pkts": 757262383558,
            "out_multicast_pkts": 1012356,
            "out_broadcast_pkts": 16,
            "out_pkts": 757263395930,
            "out_octets": 634405170787968,
            "out_jumbo_packets": 24175356863,
            "out_errors": 0,
            "out_collision": 0,
            "out_deferred": 0,
            "out_late_collision": 0,
            "out_lost_carrier": 0,
            "out_no_carrier": 0,
            "out_babble": 0,
            "out_discard": 169893674,
            "out_mac_pause_frames": 0,
        },
    },
}
